For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification

Creates a new Notification object.

post
Path parameters
strTokenstringRequired

The login token

Body

Specifications of a Notification object.

notificationIDstring · nullableOptional

Notificaiton ID. Unique and assigned by the system.

timestampstring · date-timeOptional

Timestamp UTC of the notification.

severitystring · nullableOptional

Severity level.
May be one of the following:

  • INFO: the notification is an information
  • AWARD: the notification is an award
  • BANNER: the notification is a banner
  • WARN: the notification is a warning
  • ALERT: the notification is an alert

typestring · nullableOptional

Notification type. ///
May be one of the following:

  • BROADCAST: the notification is a broadcast
  • TENANT: the notification is a tenant notification
  • USER: the notification is a user notification

tenantstring · nullableOptional

Tenant ID of the notification.

userNamestring · nullableOptional

The Username of the user that the notification is addressed to.

validFromstring · date-time · nullableOptional

The date and time from which the notification is valid.
Used when creating and modifying the notification. Ignored otherwise.

validTostring · date-time · nullableOptional

The date and time until which the notification is valid.
Used when creating and modifying the notification. Ignored otherwise.

Responses
200

Success

Response of a Create User Notification request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

post/api/v2/Notifications/{strToken}
POST /api/v2/Notifications/{strToken} HTTP/1.1
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 301

{
  "notificationID": "text",
  "timestamp": "2026-01-01T00:00:00.000Z",
  "severity": "text",
  "texts": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "additionalInfo": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "type": "text",
  "tenant": "text",
  "userName": "text",
  "validFrom": "2026-01-01T00:00:00.000Z",
  "validTo": "2026-01-01T00:00:00.000Z"
}
200

Success

{
  "notification": {
    "notificationID": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "severity": "text",
    "texts": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "additionalInfo": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "type": "text",
    "tenant": "text",
    "userName": "text",
    "validFrom": "2026-01-01T00:00:00.000Z",
    "validTo": "2026-01-01T00:00:00.000Z"
  },
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Gets a specific Notification object.

get
Path parameters
strTokenstringRequired

The login token

strNotificationIDstringRequired

The ID of the notification

Responses
200

Success

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/api/v2/Notifications/{strToken}/{strNotificationID}
GET /api/v2/Notifications/{strToken}/{strNotificationID} HTTP/1.1
Accept: */*
200

Success

{
  "notification": {
    "notificationID": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "severity": "text",
    "texts": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "additionalInfo": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "type": "text",
    "tenant": "text",
    "userName": "text",
    "validFrom": "2026-01-01T00:00:00.000Z",
    "validTo": "2026-01-01T00:00:00.000Z"
  },
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Deletes a Notification object.

delete
Path parameters
strTokenstringRequired

The login token

strNotificationIDstringRequired

The ID of the notification

Responses
200

Success

Base response.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

delete/api/v2/Notifications/{strToken}/{strNotificationID}
DELETE /api/v2/Notifications/{strToken}/{strNotificationID} HTTP/1.1
Accept: */*
200

Success

{
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Updates a Notification object.

patch
Path parameters
strTokenstringRequired
strNotificationIDstringRequired
Body

Specifications of a Notification object.

notificationIDstring · nullableOptional

Notificaiton ID. Unique and assigned by the system.

timestampstring · date-timeOptional

Timestamp UTC of the notification.

severitystring · nullableOptional

Severity level.
May be one of the following:

  • INFO: the notification is an information
  • AWARD: the notification is an award
  • BANNER: the notification is a banner
  • WARN: the notification is a warning
  • ALERT: the notification is an alert

typestring · nullableOptional

Notification type. ///
May be one of the following:

  • BROADCAST: the notification is a broadcast
  • TENANT: the notification is a tenant notification
  • USER: the notification is a user notification

tenantstring · nullableOptional

Tenant ID of the notification.

userNamestring · nullableOptional

The Username of the user that the notification is addressed to.

validFromstring · date-time · nullableOptional

The date and time from which the notification is valid.
Used when creating and modifying the notification. Ignored otherwise.

validTostring · date-time · nullableOptional

The date and time until which the notification is valid.
Used when creating and modifying the notification. Ignored otherwise.

Responses
200

Success

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

patch/api/v2/Notifications/{strToken}/{strNotificationID}
PATCH /api/v2/Notifications/{strToken}/{strNotificationID} HTTP/1.1
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 301

{
  "notificationID": "text",
  "timestamp": "2026-01-01T00:00:00.000Z",
  "severity": "text",
  "texts": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "additionalInfo": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "type": "text",
  "tenant": "text",
  "userName": "text",
  "validFrom": "2026-01-01T00:00:00.000Z",
  "validTo": "2026-01-01T00:00:00.000Z"
}
200

Success

{
  "notification": {
    "notificationID": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "severity": "text",
    "texts": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "additionalInfo": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "type": "text",
    "tenant": "text",
    "userName": "text",
    "validFrom": "2026-01-01T00:00:00.000Z",
    "validTo": "2026-01-01T00:00:00.000Z"
  },
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Gets all the Notification objects

get
Path parameters
strTokenstringRequired

The login token

notificationsFilterstringRequired

Filters the notifications to show.
May be one of the following:

  • ACTIVE_AND_FUTURE: Only active and future notifications
  • ONLY_FUTURE : Only future notifications
  • ALL : All notifications

Default: ACTIVE_AND_FUTURE
Responses
200

Success

Response of a List Notifications request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/api/v2/ListAllNotifications/{strToken}/{notificationsFilter}
GET /api/v2/ListAllNotifications/{strToken}/{notificationsFilter} HTTP/1.1
Accept: */*
200

Success

{
  "notifications": [
    {
      "notificationID": "text",
      "timestamp": "2026-01-01T00:00:00.000Z",
      "severity": "text",
      "texts": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "additionalInfo": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "type": "text",
      "tenant": "text",
      "userName": "text",
      "validFrom": "2026-01-01T00:00:00.000Z",
      "validTo": "2026-01-01T00:00:00.000Z"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Gets the Notification objects for the currently logged-in user.

get
Path parameters
strTokenstringRequired

The login token

Responses
200

Success

Response of a List Notifications request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/api/v2/UserNotifications/{strToken}
GET /api/v2/UserNotifications/{strToken} HTTP/1.1
Accept: */*
200

Success

{
  "notifications": [
    {
      "notificationID": "text",
      "timestamp": "2026-01-01T00:00:00.000Z",
      "severity": "text",
      "texts": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "additionalInfo": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "type": "text",
      "tenant": "text",
      "userName": "text",
      "validFrom": "2026-01-01T00:00:00.000Z",
      "validTo": "2026-01-01T00:00:00.000Z"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Gets the Notification objects for a specific Tenant.

get
Path parameters
tenantNamestringRequired

The name of the Tenant

Responses
200

Success

Response of a List Notifications request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/api/v2/TenantNotifications/{tenantName}
GET /api/v2/TenantNotifications/{tenantName} HTTP/1.1
Accept: */*
200

Success

{
  "notifications": [
    {
      "notificationID": "text",
      "timestamp": "2026-01-01T00:00:00.000Z",
      "severity": "text",
      "texts": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "additionalInfo": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "type": "text",
      "tenant": "text",
      "userName": "text",
      "validFrom": "2026-01-01T00:00:00.000Z",
      "validTo": "2026-01-01T00:00:00.000Z"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Gets all the changelog Notification objects (including expired ones). This is a public endpoint that returns all changelog notifications for all tenants.

get
Path parameters
tenantNamestringRequired

The name of the Tenant

Responses
200

Success

Response of a List Notifications request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/api/v2/ChangelogNotifications/{tenantName}
GET /api/v2/ChangelogNotifications/{tenantName} HTTP/1.1
Accept: */*
200

Success

{
  "notifications": [
    {
      "notificationID": "text",
      "timestamp": "2026-01-01T00:00:00.000Z",
      "severity": "text",
      "texts": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "additionalInfo": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "type": "text",
      "tenant": "text",
      "userName": "text",
      "validFrom": "2026-01-01T00:00:00.000Z",
      "validTo": "2026-01-01T00:00:00.000Z"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Ultimo aggiornamento